## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaReader

### DatabaseSchema::ezcDbSchemaReader

### Interface ezcDbSchemaReader

This class provides the base interface for schema readers.

This interface is extended by both a specific interface for schema readers who read from a file (@link ezcDbSchemaFileReader) and one for readers that read from a database (@link ezcDbSchemaDbReader).

Source for this file: /DatabaseSchema/src/interfaces/schema_reader.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDbSchemaDbReader | This class provides the interface for database schema readers
ezcDbSchemaFileReader | This class provides the interface for file schema readers

### Method Summary

public int | `getReaderType( )` Returns what type of schema reader this class implements.

### Methods

#### getReaderType

int getReaderType( )

Returns what type of schema reader this class implements.

Depending on the class it either returns ezcDbSchema::DATABASE (for readers that read from a database) or ezcDbSchema::FILE (for readers that read from a file).

Documentation generated by phpDocumentor 1.4.3